Package org.opensaml.saml.metadata.resolver.impl

# Enum Class TemplateRequestURLBuilder.EncodingStyle

java.lang.Object
java.lang.Enum<TemplateRequestURLBuilder.EncodingStyle>
org.opensaml.saml.metadata.resolver.impl.TemplateRequestURLBuilder.EncodingStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<TemplateRequestURLBuilder.EncodingStyle>`, `Constable`

Enclosing class:
  TemplateRequestURLBuilder

public static enum TemplateRequestURLBuilder.EncodingStyle extends Enum<TemplateRequestURLBuilder.EncodingStyle>
EntityID Encoding style.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`form`
URL form encoding.
`fragment`
URL fragment encoding.
`none`
No encoding.
`path`
URL path encoding.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`EncodingStyle()`

## Method Summary

Modifier and Type
Method
Description
`static TemplateRequestURLBuilder.EncodingStyle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TemplateRequestURLBuilder.EncodingStyle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### none

public static final TemplateRequestURLBuilder.EncodingStyle none
No encoding.

### form

public static final TemplateRequestURLBuilder.EncodingStyle form
URL form encoding. @see `UrlEscapers.urlFormParameterEscaper()`

### path

public static final TemplateRequestURLBuilder.EncodingStyle path
URL path encoding. @see `UrlEscapers.urlPathSegmentEscaper()`

### fragment

public static final TemplateRequestURLBuilder.EncodingStyle fragment
URL fragment encoding. @see `UrlEscapers.urlFragmentEscaper()`

## Constructor Details

### EncodingStyle

private EncodingStyle()

## Method Details

### values

public static TemplateRequestURLBuilder.EncodingStyle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TemplateRequestURLBuilder.EncodingStyle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null